(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class Context {
        constructor(diff) {
            this.line = 1;
            this.lines = [];
            this.lines = diff.split('\n');
        }
        getCurLine() {
            return this.lines[this.getInternalIndex()];
        }
        getCurLineIndex() {
            return this.line;
        }
        nextLine() {
            this.line++;
            return this.getCurLine();
        }
        eatChars(to) {
            const line = this.getCurLine().slice(to);
            this.lines[this.getInternalIndex()] = line;
        }
        isEof() {
            return this.line > this.lines.length;
        }
        getInternalIndex() {
            return this.line - 1;
        }
    }
    exports.default = Context;
});
