(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function parseChangeMarkers(context) {
        var _a, _b;
        const deleted = (_a = parseMarker(context, '--- ')) === null || _a === void 0 ? void 0 : _a.replace('a/', '');
        const added = (_b = parseMarker(context, '+++ ')) === null || _b === void 0 ? void 0 : _b.replace('b/', '');
        return added && deleted ? { added, deleted } : null;
    }
    exports.default = parseChangeMarkers;
    function parseMarker(context, marker) {
        const line = context.getCurLine();
        if (line === null || line === void 0 ? void 0 : line.startsWith(marker)) {
            context.nextLine();
            return line.replace(marker, '');
        }
        return null;
    }
});
