var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./parse-changes", "./parse-chunk-header"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const parse_changes_1 = __importDefault(require("./parse-changes"));
    const parse_chunk_header_1 = __importDefault(require("./parse-chunk-header"));
    function parseChunks(context) {
        const chunks = [];
        while (!context.isEof()) {
            const chunk = parseChunk(context);
            if (!chunk) {
                break;
            }
            chunks.push(chunk);
        }
        return chunks;
    }
    exports.default = parseChunks;
    function parseChunk(context) {
        const chunkHeader = (0, parse_chunk_header_1.default)(context);
        if (!chunkHeader) {
            return;
        }
        const changes = (0, parse_changes_1.default)(context, chunkHeader.rangeBefore, chunkHeader.rangeAfter);
        return Object.assign(Object.assign({ type: 'Chunk' }, chunkHeader), { changes });
    }
});
