(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const UNHANDLED_EXTENDED_HEADERS = new Set([
        'index',
        'old',
        'new',
        'copy',
        'rename',
        'similarity',
        'dissimilarity',
    ]);
    function parseExtendedHeader(ctx) {
        const line = ctx.getCurLine();
        const type = line.slice(0, line.indexOf(' '));
        if (UNHANDLED_EXTENDED_HEADERS.has(type)) {
            ctx.nextLine();
            return {
                type: 'unhandled',
            };
        }
        switch (type) {
            case 'deleted':
                ctx.nextLine();
                return 'deleted';
        }
        return null;
    }
    exports.default = parseExtendedHeader;
});
