var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./parser/context"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.createContext = exports.createInvalidTester = exports.createValidTester = void 0;
    const context_1 = __importDefault(require("./parser/context"));
    function createBooleanTester(validator, result) {
        return function validTester(cases) {
            cases.forEach((c) => {
                expect(validator(...c)).toBe(result);
            });
        };
    }
    function createValidTester(validator) {
        return createBooleanTester(validator, true);
    }
    exports.createValidTester = createValidTester;
    function createInvalidTester(validator) {
        return createBooleanTester(validator, false);
    }
    exports.createInvalidTester = createInvalidTester;
    function createContext(diff, initial = 1) {
        const context = new context_1.default(diff);
        for (let i = 0; i < initial - 1; i++) {
            context.nextLine();
        }
        return context;
    }
    exports.createContext = createContext;
});
